import Vue from 'vue'
import Notify from '../Notify'

import elementUtil from '../../../common/scripts/elementUtil'

class VueNotify {
  constructor () {
    this._vm = undefined
  }
  show (option) {
    elementUtil.createElement('vum-notify')

    this._vm = new Vue(Notify)
    this._vm.$mount('[vum-notify]')

    setTimeout(() => {
      this._vm.showPlugin(option)
    })
  }
}
export default new VueNotify()
